searchData={"items":[{"type":"module","title":"ExSeeyoudoc","doc":"Elixir API wrapper for SeeYouDoc www.seeyoudoc.com","ref":"ExSeeyoudoc.html"},{"type":"function","title":"ExSeeyoudoc.get/3","doc":"","ref":"ExSeeyoudoc.html#get/3"},{"type":"function","title":"ExSeeyoudoc.status/0","doc":"Returns the status of the SeeYouDoc API","ref":"ExSeeyoudoc.html#status/0"},{"type":"module","title":"ExSeeyoudoc.Facility","doc":"API for facility","ref":"ExSeeyoudoc.Facility.html"},{"type":"function","title":"ExSeeyoudoc.Facility.about/0","doc":"","ref":"ExSeeyoudoc.Facility.html#about/0"},{"type":"function","title":"ExSeeyoudoc.Facility.careers/1","doc":"","ref":"ExSeeyoudoc.Facility.html#careers/1"},{"type":"function","title":"ExSeeyoudoc.Facility.department_doctors/2","doc":"","ref":"ExSeeyoudoc.Facility.html#department_doctors/2"},{"type":"function","title":"ExSeeyoudoc.Facility.departments/1","doc":"","ref":"ExSeeyoudoc.Facility.html#departments/1"},{"type":"function","title":"ExSeeyoudoc.Facility.departments_v2/1","doc":"","ref":"ExSeeyoudoc.Facility.html#departments_v2/1"},{"type":"function","title":"ExSeeyoudoc.Facility.doctors/1","doc":"","ref":"ExSeeyoudoc.Facility.html#doctors/1"},{"type":"function","title":"ExSeeyoudoc.Facility.events/1","doc":"","ref":"ExSeeyoudoc.Facility.html#events/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_careers/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_careers/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_department/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_department/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_department_v2/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_department_v2/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_doctors/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_doctors/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_events/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_events/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_promos/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_promos/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_rooms/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_rooms/1"},{"type":"function","title":"ExSeeyoudoc.Facility.get_services/1","doc":"","ref":"ExSeeyoudoc.Facility.html#get_services/1"},{"type":"function","title":"ExSeeyoudoc.Facility.insurances/1","doc":"","ref":"ExSeeyoudoc.Facility.html#insurances/1"},{"type":"function","title":"ExSeeyoudoc.Facility.promos/1","doc":"","ref":"ExSeeyoudoc.Facility.html#promos/1"},{"type":"function","title":"ExSeeyoudoc.Facility.rooms/1","doc":"","ref":"ExSeeyoudoc.Facility.html#rooms/1"},{"type":"function","title":"ExSeeyoudoc.Facility.services/1","doc":"","ref":"ExSeeyoudoc.Facility.html#services/1"},{"type":"extras","title":"ExSeeyoudoc","doc":"# ExSeeyoudoc\n\n[Docs](https://hexdocs.pm/ex_seeyoudoc)\n\nExSeeyoudoc is an elixir sdk for [SeeYouDoc](https://www.seeyoudoc.com).","ref":"readme.html"},{"type":"extras","title":"Installation - ExSeeyoudoc","doc":"Put this in your `mix.exs` and run `mix deps.get`.\n\n```elixir\ndef deps do\n  [\n    {:ex_seeyoudoc, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - ExSeeyoudoc","doc":"Before you use, you need to have credentials in SeeYouDoc. Check guide [here](https://www.seeyoudoc.com/developer/api-reference/#authentication).\n\nOnce done, add your credentials inside your configs. \n\n```\nconfig :ex_seeyoudoc,\n  base_url: \"https://www.seeyoudoc.com/api\",\n  api_key: \"REPLACE WITH YOUR API KEY\"\n```","ref":"readme.html#usage"},{"type":"extras","title":"Developers - ExSeeyoudoc","doc":"To contribute to this project:\n\n- Fork this project and clone in your machine\n- Copy `config.secret.backup.exs` to `config.secret.exs` then set your credentials\n- Look for new updates at [SeeYouDoc API Docs](https://www.seeyoudoc.com/developer/api-reference/)\n- Follow code pattern \n\nBefore you submit pull request:\n\n- Run `mix coveralls`. Be sure coverage is at 100%\n- Run `mix credo`. Be sure everything is clean.\n- Run `mix dialyzer`. Be sure everything is good.","ref":"readme.html#developers"},{"type":"extras","title":"License - ExSeeyoudoc","doc":"Copyright (c) 2024 Noel Del Castillo\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at \n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.1.7 (2024-02-29) - CHANGELOG","doc":"- Add facility doctor api","ref":"changelog.html#v0-1-7-2024-02-29"},{"type":"extras","title":"v0.1.6 (2024-02-29) - CHANGELOG","doc":"- Add department apis","ref":"changelog.html#v0-1-6-2024-02-29"},{"type":"extras","title":"v0.1.5 (2024-02-26) - CHANGELOG","doc":"- Remove unused headers parameters","ref":"changelog.html#v0-1-5-2024-02-26"},{"type":"extras","title":"v0.1.4 (2024-02-23) - CHANGELOG","doc":"- add Events and Insurance api","ref":"changelog.html#v0-1-4-2024-02-23"},{"type":"extras","title":"v0.1.3 (2024-02-21) - CHANGELOG","doc":"- Add multiple endpoint","ref":"changelog.html#v0-1-3-2024-02-21"},{"type":"extras","title":"v0.1.2 (2024-02-20) - CHANGELOG","doc":"- Add tests","ref":"changelog.html#v0-1-2-2024-02-20"},{"type":"extras","title":"v0.1.1 (2024-02-15) - CHANGELOG","doc":"- Add Facility About","ref":"changelog.html#v0-1-1-2024-02-15"},{"type":"extras","title":"v0.1.0 (2024-01-30) - CHANGELOG","doc":"- Initial release","ref":"changelog.html#v0-1-0-2024-01-30"}],"content_type":"text/markdown"}